%global srcname crypto
%global forgeurl https://github.com/SDL-Hercules-390/%{srcname}
%global commit a5096e5dd79f46b568806240c0824cd8cb2fcda2

%global _vpath_builddir %{_builddir}/%{srcname}%{__isa_bits}.Release
%global debug_package %{nil}

%global common_description %{expand:
Crypto provides a simple implementation of the Rijndael (now AES) and DES
encryption algorithms as well as the SHA1 and SHA2 hashing algorithms. The
library is almost a verbatim copy of the code from OpenBSD and PuTTY for use by
the SDL-Hercules-390 emulator.}

Name:           sdl-crypto
Version:        1.0.0
Release:    2%{?dist}
Summary:        Simple AES/DES encryption and SHA1/SHA2 hashing library

License:        Public Domain and MIT and BSD
URL:            %{forgeurl}
#Source0:        %{forgesource}
Source0:        crypto-a5096e5dd79f46b568806240c0824cd8cb2fcda2.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  sed

%description    %{common_description}

%package        devel
Summary:        Development files for %{name}
Provides:       %{name}-static = %{version}-%{release}
Conflicts:      sha2-devel
Provides:       crypto-devel = %{version}-%{release}
Provides:       crypto-static = %{version}-%{release}

%description    devel %{common_description}

The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -n %{srcname}-%{commit}
sed -i extra.txt -e 's:DESTINATION .:DESTINATION share/doc/%{name}-devel:g'

%build
%cmake
%cmake_build

%install
%cmake_install
mv %{buildroot}%{_docdir}/%{name}-devel/%{srcname}.LICENSE.txt .

%files devel
%license %{srcname}.LICENSE.txt
%doc README.md
%doc %{_docdir}/%{name}-devel/%{srcname}.README.txt
%{_includedir}/*.h
%{_libdir}/lib%{srcname}*.a

%changelog
* Fri Jun 13 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.0.0-2
- Rebuilt for loongarch64

* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.0-1
- initial build
